<?php
  add_action('wp_enqueue_scripts', 'add_styles');

  function add_styles() {
    // google fonts
    wp_register_style(
      'google-fonts_style',
      'https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@400;700&display=swap',
      array(),
      '1.0'
    );

    // reset style
    wp_register_style(
      'reset_style',
      get_template_directory_uri() . '/css/reset.css',
      array(),
      '1.0'
    );

    // main style
    wp_enqueue_style(
      'main_style',
      get_template_directory_uri() . '/css/main.css',
      array('reset_style', 'google-fonts_style'),
      '1.0'
    );
  }
?>